// ntfsattributelistentry.h
// Part of SalvageNTFS
// Copyright (C) Will Glynn
//////////////////////////////////////////////////////////////////////////////
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html

#ifndef NTFSATTRIBUTELISTENTRY_H
#define NTFSATTRIBUTELISTENTRY_H

#include "ntfs.h"
#include "ntfsstream.h"

#include <qstring.h>

class NTFSAttributeListEntry
{
public:
    NTFSAttributeListEntry();
    ~NTFSAttributeListEntry();

	bool read(NTFSStream * s);

	NT32 type;
	NT16 recordLength;
	NT8 nameLength;
	NT8 nameOffset;
	NT64 startingVcn;
	NT64 extentReference;
	NT16 attributeId;
	QString name;
};

#endif
