// ntfsindex.h
// Part of SalvageNTFS
// Copyright (C) Will Glynn
//////////////////////////////////////////////////////////////////////////////
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html

#ifndef NTFSDIRECTORY_H
#define NTFSDIRECTORY_H

#include <qptrlist.h>

#include "ntfs.h"
#include "ntfsstream.h"
#include "ntfsfile.h"
#include "ntfsattribute.h"
#include "ntfsindexentry.h"

class NTFSIndex
{
public:
    NTFSIndex();
    ~NTFSIndex();
	QString toString() const;
	bool read(NTFSFile * f, NTFSVolume * v);

	// Guts
	// Index root stuff
	NT32 indexType;
	NT32 collationRule;
	NT32 recordSize;

	// Index header
	NT32 indexOffset;
	NT32 indexLength;
	NT32 allocatedLength;
	NT8 flags;

	QPtrList<NTFSIndexEntry> indexEntries;

private:
	bool readBlock(NTFSStream * s, NT16 bytesPerSector);
};

#endif
