// recover.cpp
// Part of SalvageNTFS
// Copyright (C) Will Glynn
//////////////////////////////////////////////////////////////////////////////
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html

#include "ntfsutil.h"
#include "ntfsrecovery.h"

// Entry point
int main(int argc, char ** argv)
{
	printf("SalvageNTFS Recover\nWritten by Will Glynn\n\n");

	if (argc != 3)
	{
		printf("Usage: %s volume record\n", argv[0]);
		return 1;
	}

	NT64 record = 0;
	if (argc > 2)
	{
		record = toNum(argv[2]);
	}

	NTFSRecovery recovery;

	if (!recovery.open(argv[1]))
	{
		return 1;
	}

	if (recovery.recoverFile(record))
	{
		printf("Recovery completed.\n");
		return 0;
	}
	else
	{
		printf("Recovery failed.\n");
		return 1;
	}
}
